# Offer_Code_Create

Authentication information, user, and password are required for this endpoint.
Sponsor ID will be determined by the authentication information used.

Endpoint: POST /api/v1/sponsor/merchants/{merchant_uuid}/offer-code/
Version: 1.0.0 (sponsor_merchant_v1)
Security: basicAuth

## Security:

  - `basicAuth` (unknown)
    http basic

## Path parameters:

  - `id` (integer, required)
    The ID of the offer code

  - `merchant_uuid` (string, required)
    The external organization ID of the merchant. aka: `external_org_id`

## Request fields (application/json):

  - `request_user_id` (string, required)
    External Partner user ID of an existing user set up at Momnt who creating the Offer Code.
This user must be an active merchant admin user for the Merchant used in the contractor_id path.

  - `name` (string, required)
    The name of the Offer Code. Alpha string between 2 and 80 characters. Spaces are allowed.

  - `is_active` (boolean)
    Boolean field indication whether the merchant wants this Offer Code turned on or not after creation.

  - `rate_sheet_merchant_product_prices` (array, required)
    The value of the rate_sheet_merchant_product_price_id (found in the Merchant Rate Sheet Query)
of the products the Merchant wants to add to this rate sheet.

## Response 201 fields (application/json):

  - `request_user_id` (string, required)
    External Partner user ID of an existing user set up at Momnt who creating the Offer Code.
This user must be an active merchant admin user for the Merchant used in the contractor_id path.

  - `name` (string, required)
    The name of the Offer Code. Alpha string between 2 and 80 characters. Spaces are allowed.

  - `is_active` (boolean)
    Boolean field indication whether the merchant wants this Offer Code turned on or not after creation.

  - `rate_sheet_merchant_product_prices` (array, required)
    The value of the rate_sheet_merchant_product_price_id (found in the Merchant Rate Sheet Query)
of the products the Merchant wants to add to this rate sheet.

